net.sf.okapi.core.simplifierrules

## Class SimplifierRulesTokenManager

- java.lang.Object
- - net.sf.okapi.core.simplifierrules.SimplifierRulesTokenManager

- All Implemented Interfaces:
    SimplifierRulesConstants

      public class SimplifierRulesTokenManager
      extends java.lang.Object
      implements SimplifierRulesConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `curChar`
    `java.io.PrintStream` | `debugStream` Debug output.
    `protected JavaCharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
    `static java.lang.String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface net.sf.okapi.core.simplifierrules.SimplifierRulesConstants

      `ADDABLE, AND, CLONEABLE, CLOSING, DATA, DEFAULT, DELETABLE, EOF, EQUAL, LPAREN, MATCH, NOT_EQUAL, NOT_MATCH, OPENING, OR, ORIGINAL_ID, OUTER_DATA, QUOTE_DOUBLE, RPAREN, RULE_END, RULE_START, STANDALONE, STRING_DOUBLE_BODY, STRING_DOUBLE_EMPTY, STRING_DOUBLE_NONEMPTY, TAG_TYPE, tokenImage, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplifierRulesTokenManager(JavaCharStream stream)` Constructor.
    `SimplifierRulesTokenManager(JavaCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(JavaCharStream stream)` Reinitialise parser.
    `void` | `ReInit(JavaCharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected JavaCharStream input_stream

    - #### curChar

          protected int curChar

  - ### Constructor Detail

    - #### SimplifierRulesTokenManager

          public SimplifierRulesTokenManager(JavaCharStream stream)

      Constructor.

    - #### SimplifierRulesTokenManager

          public SimplifierRulesTokenManager(JavaCharStream stream,
                                             int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(java.io.PrintStream ds)

      Set debug output.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

    - #### ReInit

          public void ReInit(JavaCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(JavaCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.